> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--response-center/queries/get-incident-affected-resources.md).

# getIncidentAffectedResources

Deduplicated resources affected by one incident, derived from its evidence (worst-first).

### Examples

{% tabs %}
{% tab title="GraphQL" %}

```graphql
query GetIncidentAffectedResources($incidentId: String!) {
  getIncidentAffectedResources(incidentId: $incidentId) {
    items {
      resourceName
      kind
      resourceDetail
      appName
      appId
      appType
      resourceOwner
      hitIndicatorValues
      openIssues
      resolvedIssues
      sbomCount
      activeRows
      isRunning
      cloudRunState
      isCloudDeployed
      isPublic
      isInternetExposed
      status
      isStale
      latestAsOf
      lastCodeActivity
      imageCreatedAt
      imageSha
      cloudProvider
      cloudAccountId
      cloudAccountName
      cloudRegions
      cloudClusterNames
      cloudImageCount
      imageCount
    }
    totalCount
  }
}
```

#### Variables

This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.

```json
{
  "incidentId": "example"
}
```

{% endtab %}

{% tab title="cURL" %}

```shell
curl -X POST \
https://api.cloud.ox.security/api/apollo-gateway \
-H 'Content-Type: application/json' \
-H 'Authorization: YOUR_API_TOKEN' \
-d '{
 "query": "query GetIncidentAffectedResources($incidentId: String!) { getIncidentAffectedResources(incidentId: $incidentId) { items { resourceName kind resourceDetail appName appId appType resourceOwner hitIndicatorValues openIssues resolvedIssues sbomCount activeRows isRunning cloudRunState isCloudDeployed isPublic isInternetExposed status isStale latestAsOf lastCodeActivity imageCreatedAt imageSha cloudProvider cloudAccountId cloudAccountName cloudRegions cloudClusterNames cloudImageCount imageCount } totalCount } }",
 "variables": {
    "incidentId": "example"
  }
}'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const query = 'query GetIncidentAffectedResources($incidentId: String!) { getIncidentAffectedResources(incidentId: $incidentId) { items { resourceName kind resourceDetail appName appId appType resourceOwner hitIndicatorValues openIssues resolvedIssues sbomCount activeRows isRunning cloudRunState isCloudDeployed isPublic isInternetExposed status isStale latestAsOf lastCodeActivity imageCreatedAt imageSha cloudProvider cloudAccountId cloudAccountName cloudRegions cloudClusterNames cloudImageCount imageCount } totalCount } }';

fetch("https://api.cloud.ox.security/api/apollo-gateway", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  body: JSON.stringify({
    query: query,
    // This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    variables: {
      incidentId: "example"
    }
  })
})
.then(response => response.json())
.then(result => console.log(JSON.stringify(result, null, 2)))
.catch(error => console.error('Error:', error));
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

query = 'query GetIncidentAffectedResources($incidentId: String!) { getIncidentAffectedResources(incidentId: $incidentId) { items { resourceName kind resourceDetail appName appId appType resourceOwner hitIndicatorValues openIssues resolvedIssues sbomCount activeRows isRunning cloudRunState isCloudDeployed isPublic isInternetExposed status isStale latestAsOf lastCodeActivity imageCreatedAt imageSha cloudProvider cloudAccountId cloudAccountName cloudRegions cloudClusterNames cloudImageCount imageCount } totalCount } }'

response = requests.post(
  "https://api.cloud.ox.security/api/apollo-gateway",
  headers={
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  json={
    "query": query,
    # This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    "variables": {
      "incidentId": "example"
    }
  }
)

if response.status_code == 200:
    result = response.json()
    print(result)
else:
    print(f"Error: {response.status_code}")
    print(response.text)
```

{% endtab %}
{% endtabs %}

### Arguments

You can use the following argument(s) to customize your `getIncidentAffectedResources` query.

| Argument                                                                           | Description | Supported fields |
| ---------------------------------------------------------------------------------- | ----------- | ---------------- |
| incidentId `String!` <mark style="color:red;background-color:red;">required</mark> |             |                  |

### Fields

Return type: [`IncidentAffectedResources!`](/api-documentation/api-reference/api--response-center/types/objects/incident-affected-resources.md)

You can use the following field(s) to specify what information your `getIncidentAffectedResources` query will return. Please note that some fields may have their own subfields.

| Field                                                                                                                                     | Description | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| ----------------------------------------------------------------------------------------------------------------------------------------- | ----------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| items [`[IncidentAffectedResource!]!`](/api-documentation/api-reference/api--response-center/types/objects/incident-affected-resource.md) |             | <p>resourceName <code>String!</code><br>kind <a href="/pages/7ZFCb6U6I4EfZ4kCOTqJ"><code>AffectedResourceKind!</code></a><br>resourceDetail <code>String</code><br>appName <code>String</code><br>appId <code>String</code><br>appType <code>String</code><br>resourceOwner <code>String</code><br>hitIndicatorValues <code>\[String!]!</code><br>openIssues <code>Int!</code><br>resolvedIssues <code>Int!</code><br>sbomCount <code>Int!</code><br>activeRows <code>Int!</code><br>isRunning <code>Boolean!</code><br>cloudRunState <a href="/pages/44mPWsZCrm6RX2ybfSXo"><code>CloudRunState!</code></a><br>isCloudDeployed <code>Boolean!</code><br>isPublic <code>Boolean!</code><br>isInternetExposed <code>Boolean!</code><br>status <a href="/pages/kmJpMq7ucHsATfLtSMCG"><code>AffectedResourceStatus!</code></a><br>isStale <code>Boolean!</code><br>latestAsOf <code>DateTime</code><br>lastCodeActivity <code>DateTime</code><br>imageCreatedAt <code>DateTime</code><br>imageSha <code>String</code><br>cloudProvider <code>String</code><br>cloudAccountId <code>String</code><br>cloudAccountName <code>String</code><br>cloudRegions <code>\[String!]</code><br>cloudClusterNames <code>\[String!]</code><br>cloudImageCount <code>Int</code><br>imageCount <code>Int</code></p> |
| totalCount `Int!`                                                                                                                         |             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--response-center/queries/get-incident-affected-resources.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
